# Class DialRenderer

java.lang.Object
com.codename1.charts.renderers.DefaultRenderer
com.codename1.charts.renderers.DialRenderer

public class DialRenderer extends DefaultRenderer
Dial chart renderer.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DialRenderer.Type`

- ## Field Summary

  ### Fields inherited from class DefaultRenderer

  `BACKGROUND_COLOR, NO_COLOR, TEXT_COLOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialRenderer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAngleMax()`
  Returns the end angle value of the dial.
  `double`
  `getAngleMin()`
  Returns the start angle value of the dial.
  `double`
  `getMajorTicksSpacing()`
  Returns the major ticks spacing.
  `double`
  `getMaxValue()`
  Returns the end value to be rendered on the dial.
  `double`
  `getMinorTicksSpacing()`
  Returns the minor ticks spacing.
  `double`
  `getMinValue()`
  Returns the start value to be rendered on the dial.
  `DialRenderer.Type`
  `getVisualTypeForIndex(int index)`
  Returns the visual type at the specified index.
  `boolean`
  `isMaxValueSet()`
  Returns if the maximum dial value was set.
  `boolean`
  `isMinValueSet()`
  Returns if the minimum dial value was set.
  `void`
  `setAngleMax(double max)`
  Sets the end angle value of the dial.
  `void`
  `setAngleMin(double min)`
  Sets the start angle value of the dial.
  `void`
  `setMajorTicksSpacing(double spacing)`
  Sets the major ticks spacing.
  `void`
  `setMaxValue(double max)`
  Sets the end value to be rendered on the dial.
  `void`
  `setMinorTicksSpacing(double spacing)`
  Sets the minor ticks spacing.
  `void`
  `setMinValue(double min)`
  Sets the start value to be rendered on the dial.
  `void`
  `setVisualTypes(DialRenderer.Type[] types)`
  Sets the visual types.

  ### Methods inherited from class DefaultRenderer

  `addSeriesRenderer, addSeriesRenderer, getAxesColor, getBackgroundColor, getChartTitle, getChartTitleTextSize, getLabelsColor, getLabelsTextSize, getLegendHeight, getLegendTextSize, getMargins, getOriginalScale, getScale, getSelectableBuffer, getSeriesRendererAt, getSeriesRendererCount, getSeriesRenderers, getStartAngle, getTextTypeface, getTextTypefaceName, getTextTypefaceStyle, getXAxisColor, getYAxisColor, getZoomRate, isAntialiasing, isApplyBackgroundColor, isClickEnabled, isDisplayValues, isExternalZoomEnabled, isFitLegend, isInScroll, isPanEnabled, isShowAxes, isShowCustomTextGridX, isShowCustomTextGridY, isShowGridX, isShowGridY, isShowLabels, isShowLegend, isShowTickMarks, isZoomButtonsVisible, isZoomEnabled, removeAllRenderers, removeSeriesRenderer, setAntialiasing, setApplyBackgroundColor, setAxesColor, setBackgroundColor, setChartTitle, setChartTitleTextFont, setChartTitleTextSize, setClickEnabled, setDisplayValues, setExternalZoomEnabled, setFitLegend, setInScroll, setLabelsColor, setLabelsTextFont, setLabelsTextSize, setLegendHeight, setLegendTextFont, setLegendTextSize, setMargins, setPanEnabled, setScale, setSelectableBuffer, setShowAxes, setShowCustomTextGrid, setShowCustomTextGridX, setShowCustomTextGridY, setShowGrid, setShowGridX, setShowGridY, setShowLabels, setShowLegend, setShowTickMarks, setStartAngle, setTextTypeface, setTextTypeface, setXAxisColor, setYAxisColor, setZoomButtonsVisible, setZoomEnabled, setZoomRate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialRenderer

    public DialRenderer()

- ## Method Details

  - ### getAngleMin

    public double getAngleMin()

    Returns the start angle value of the dial.

    ###### Returns

    the angle start value

  - ### setAngleMin

    public void setAngleMin(double min)

    Sets the start angle value of the dial.

    ###### Parameters

    - `min`: the dial angle start value

  - ### getAngleMax

    public double getAngleMax()

    Returns the end angle value of the dial.

    ###### Returns

    the angle end value

  - ### setAngleMax

    public void setAngleMax(double max)

    Sets the end angle value of the dial.

    ###### Parameters

    - `max`: the dial angle end value

  - ### getMinValue

    public double getMinValue()

    Returns the start value to be rendered on the dial.

    ###### Returns

    the start value on dial

  - ### setMinValue

    public void setMinValue(double min)

    Sets the start value to be rendered on the dial.

    ###### Parameters

    - `min`: the start value on the dial

  - ### isMinValueSet

    public boolean isMinValueSet()

    Returns if the minimum dial value was set.

    ###### Returns

    the minimum dial value was set or not

  - ### getMaxValue

    public double getMaxValue()

    Returns the end value to be rendered on the dial.

    ###### Returns

    the end value on the dial

  - ### setMaxValue

    public void setMaxValue(double max)

    Sets the end value to be rendered on the dial.

    ###### Parameters

    - `max`: the end value on the dial

  - ### isMaxValueSet

    public boolean isMaxValueSet()

    Returns if the maximum dial value was set.

    ###### Returns

    the maximum dial was set or not

  - ### getMinorTicksSpacing

    public double getMinorTicksSpacing()

    Returns the minor ticks spacing.

    ###### Returns

    the minor ticks spacing

  - ### setMinorTicksSpacing

    public void setMinorTicksSpacing(double spacing)

    Sets the minor ticks spacing.

    ###### Parameters

    - `spacing`: the minor ticks spacing

  - ### getMajorTicksSpacing

    public double getMajorTicksSpacing()

    Returns the major ticks spacing.

    ###### Returns

    the major ticks spacing

  - ### setMajorTicksSpacing

    public void setMajorTicksSpacing(double spacing)

    Sets the major ticks spacing.

    ###### Parameters

    - `spacing`: the major ticks spacing

  - ### getVisualTypeForIndex

    public DialRenderer.Type getVisualTypeForIndex(int index)

    Returns the visual type at the specified index.

    ###### Parameters

    - `index`: the index

    ###### Returns

    the visual type

  - ### setVisualTypes

    public void setVisualTypes(DialRenderer.Type[] types)

    Sets the visual types.

    ###### Parameters

    - `types`: the visual types